Package org.eclipse.emf.cdo.transaction

## Interface CDOTransactionHandler3

- All Superinterfaces:
    `CDOTransactionHandler2`, `CDOTransactionHandlerBase`
  All Known Implementing Classes:
    `CDODefaultTransactionHandler3`

      public interface CDOTransactionHandler3
      extends CDOTransactionHandler2

  A call-back interface that is called by a `transcation` before it is committed and after it has been committed (with result info) or rolled back.
  Since:
    4.1
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `committedTransaction​(CDOTransaction transaction, CDOCommitContext commitContext, CDOCommitInfo result)` | Called by a `CDOTransaction` after it is being committed.

    - ### Methods inherited from interface org.eclipse.emf.cdo.transaction.CDOTransactionHandler2

      `committedTransaction, committingTransaction, rolledBackTransaction`

- - ### Method Detail

    - #### committedTransaction

          void committedTransaction​(CDOTransaction transaction,
                                    CDOCommitContext commitContext,
                                    CDOCommitInfo result)

      Called by a `CDOTransaction` after it is being committed. The implementor of this method is not allowed to throw an unchecked exception.

      Note that `CDOTransactionHandler2.committedTransaction()` is not called.